EDIT - bug #7354

DerivedUnitConverter handles associated SpecimenTypeDesignation correctly
04/19/2018 02:07 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version: Release 4.14
Description

DerivedUnitConverter completely ignores the fact that a DerivedUnit can be associated with multiple or none
SpecimenTypeDesignations. Furthermore must the DerivedUnitConverter not change the persistent state once a conversion has
been done.

Related issues:
Blocks EDIT - bug #7353: SpecimenTypedesignationsWorkingsetEditor: error on s... Closed

Associated revisions

Revision 940e93a1 - 04/19/2018 02:15 PM - Andreas Kohlbecker

fix #7354 DerivedUnitConverter handled typeDesignations correctly and abstains from persising anything

Revision 1a22bd3d - 04/19/2018 02:23 PM - Andreas Kohlbecker
fix #7354 reducing log level

History

#1 - 04/19/2018 02:07 PM - Andreas Kohlbecker
- Blocks bug #7353: SpecimenTypedesignationsWorkingsetEditor: error on saving after changing kindOfUnit added

#2 - 04/19/2018 02:21 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|940e93a138cb1003aa0366647204aee36758cba5.

#3 - 08/03/2018 01:40 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 50 to 100

seems to work
